package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapSirkulasi_T")
public class PapSirkulasi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasien registrasiPelayananPasien;	
	
	@Column(name = "ObjectRegistrasiPelayananPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String registrasiPelayananPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectSianosisFk")
	private StatusAdaTidakAda sianosis;
	
	@Column(name = "ObjectSianosisFk", insertable = false, updatable = false, nullable = false)
	private Integer sianosisId;

	@ManyToOne
	@JoinColumn(name = "ObjectPucatFk")
	@NotNull(message = "Pucat tidak boleh kosong")
	private StatusAdaTidakAda pucat;
	
	@Column(name = "ObjectPucatFk", insertable = false, updatable = false, nullable = false)
	private Integer pucatId;

	@ManyToOne
	@JoinColumn(name = "ObjectIntensitasNadiFk")
	@Caption(value="Object Intensitas Nadi")
	private DataIntensitasNadi intensitasNadi;
	
	@Column(name = "ObjectIntensitasNadiFk", insertable=false,updatable=false)
	private Integer intensitasNadiId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectIramaNadiFk")
	@Caption(value="Object Irama Nadi")
	private StatusAdaTidakAda iramaNadi;
	
	@Column(name = "ObjectIramaNadiFk", insertable=false,updatable=false)
	private Integer iramaNadiId;

	@ManyToOne
	@JoinColumn(name = "ObjectEdemaFk")
	@Caption(value="Object Edema Nadi")
	private StatusAdaTidakAda edema;
	
	@Column(name = "ObjectEdemaFk", insertable=false,updatable=false)
	private Integer edemaId;

	@ManyToOne
	@JoinColumn(name = "ObjectAkralFk")
	@Caption(value="Object Akral")
	private StatusHangatDingin akral;
	
	@Column(name = "ObjectAkralFk", insertable=false,updatable=false)
	private Integer akralId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectCrtFk")
	@Caption(value="Object Crt")
	private DataCRT crt;
	
	@Column(name = "ObjectCrtFk", insertable=false,updatable=false)
	private Integer crtId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectClubbingFingerFk")
	@Caption(value="Object ClubbingFinger")
	private StatusAdaTidakAda clubbingFinger;

	@Column(name = "ObjectClubbingFingerFk", insertable=false,updatable=false)
	private Integer clubbingFingerId;

	@Column(name = "isNormal", nullable = false)
	@Caption(value = "Is Normal")
	private Boolean isNormal;

	@ManyToOne
	@JoinColumn(name = "ObjectTurgorKulitFk")
	@Caption(value="Object TurgorKulit")
	private StatusTurgorKulit turgorKulit;
	
	@Column(name = "ObjectTurgorKulitFk", insertable=false,updatable=false)
	private Integer turgorKulitId;
	
	public RegistrasiPelayananPasien getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasien registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public StatusAdaTidakAda getSianosis() {
		return sianosis;
	}

	public void setSianosis(StatusAdaTidakAda sianosis) {
		this.sianosis = sianosis;
	}

	public StatusAdaTidakAda getPucat() {
		return pucat;
	}

	public void setPucat(StatusAdaTidakAda pucat) {
		this.pucat = pucat;
	}

	public DataIntensitasNadi getIntensitasNadi() {
		return intensitasNadi;
	}

	public void setIntensitasNadi(DataIntensitasNadi intensitasNadi) {
		this.intensitasNadi = intensitasNadi;
	}

	public StatusAdaTidakAda getIramaNadi() {
		return iramaNadi;
	}

	public void setIramaNadi(StatusAdaTidakAda iramaNadi) {
		this.iramaNadi = iramaNadi;
	}

	public StatusAdaTidakAda getEdema() {
		return edema;
	}

	public void setEdema(StatusAdaTidakAda edema) {
		this.edema = edema;
	}

	public StatusHangatDingin getAkral() {
		return akral;
	}

	public void setAkral(StatusHangatDingin akral) {
		this.akral = akral;
	}

	public DataCRT getCrt() {
		return crt;
	}

	public void setCrt(DataCRT crt) {
		this.crt = crt;
	}

	public StatusAdaTidakAda getClubbingFinger() {
		return clubbingFinger;
	}

	public void setClubbingFinger(StatusAdaTidakAda clubbingFinger) {
		this.clubbingFinger = clubbingFinger;
	}

	public Boolean getIsNormal() {
		return isNormal;
	}

	public void setIsNormal(Boolean isNormal) {
		this.isNormal = isNormal;
	}

	
}
